summaryrefslogtreecommitdiff
path: root/pst
diff options
context:
space:
mode:
authornick <myownlittlworld@hotmail.com>2009-05-25 18:26:27 -0500
committernick <myownlittlworld@hotmail.com>2009-05-25 18:26:27 -0500
commit0d14bb784aa524de00c88e9a25bb812c5339cc43 (patch)
tree4e4d23f1a015fe0d6c6a02626f20fb7b9555de28 /pst
parent6ec9844921a2a465e02c26e0a09344aaff70fe93 (diff)
downloadgemrb-gameinstallers-0d14bb784aa524de00c88e9a25bb812c5339cc43.tar.bz2
gemrb-gameinstallers-0d14bb784aa524de00c88e9a25bb812c5339cc43.zip
Safely escaped all potentially unsafe variables.
And probably a couple already safe ones too.
Diffstat (limited to 'pst')
-rwxr-xr-xpst/install-2cd-extra.sh18
-rwxr-xr-xpst/install-2cd-minimal.sh20
-rwxr-xr-xpst/install-4cd-extra.sh10
-rwxr-xr-xpst/install-4cd-minimal.sh14
-rwxr-xr-xpst/install-patch-official.sh10
5 files changed, 36 insertions, 36 deletions
diff --git a/pst/install-2cd-extra.sh b/pst/install-2cd-extra.sh
index f37e173..82e9002 100755
--- a/pst/install-2cd-extra.sh
+++ b/pst/install-2cd-extra.sh
@@ -17,8 +17,8 @@
# Extra Planescape: Torment (2CD version) content (so CDs aren't needed)
scriptdir="$(dirname $0)"/..
-source "$scriptdir/includes/generic-includes.sh"
-source "$scriptdir/includes/cd-includes.sh"
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/cd-includes.sh"
parseargs "$@"
@@ -26,16 +26,16 @@ checkforbin unshield
CD2="610d9f6354be741b09fc25b5e9645328"
-getcd 1 $PST_2CD_MD5 data1.cab
+getcd 1 "$PST_2CD_MD5" data1.cab
-unshield -g OtherData -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die
-unshield -g OtherData -L x $CDMOUNT/data2.cab -d "$TARGETDIR" || die
+unshield -g OtherData -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+unshield -g OtherData -L x "${CDMOUNT}/data2.cab" -d "$TARGETDIR" || die
-mv "$TARGETDIR"/otherdata/* "$TARGETDIR" || die
-rmdir "$TARGETDIR"/otherdata || die
+mv "${TARGETDIR}/otherdata/"* "$TARGETDIR" || die
+rmdir "${TARGETDIR}/otherdata" || die
-getcd 2 $CD2 cd2/movies4.bif
+getcd 2 "$CD2" "cd2/movies4.bif"
-copylower "$CDMOUNT/cd2/" "$TARGETDIR" || die
+copylower "${CDMOUNT}/cd2/" "$TARGETDIR" || die
setperms "$TARGETDIR"
diff --git a/pst/install-2cd-minimal.sh b/pst/install-2cd-minimal.sh
index 61ff812..7541216 100755
--- a/pst/install-2cd-minimal.sh
+++ b/pst/install-2cd-minimal.sh
@@ -17,8 +17,8 @@
# Planescape: Torment (2CD version) minimal
scriptdir="$(dirname $0)"/..
-source "$scriptdir/includes/generic-includes.sh"
-source "$scriptdir/includes/cd-includes.sh"
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/cd-includes.sh"
parseargs "$@"
@@ -28,16 +28,16 @@ getcd 1 $PST_2CD_MD5 data1.cab
mkdir -p "$TARGETDIR" || die
-unshield -g MinimumData -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die
-unshield -g MinimumData -L x $CDMOUNT/data2.cab -d "$TARGETDIR" || die
+unshield -g MinimumData -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+unshield -g MinimumData -L x "${CDMOUNT}/data2.cab" -d "$TARGETDIR" || die
-cp $CDMOUNT/Manual/Torment.pdf "$TARGETDIR"/manual.pdf || die
-cp $CDMOUNT/Torment.ico "$TARGETDIR"/torment.ico || die
-cp $CDMOUNT/Torment.ex_ "$TARGETDIR"/torment.exe || die
+cp "${CDMOUNT}/Manual/Torment.pdf" "${TARGETDIR}/manual.pdf" || die
+cp "${CDMOUNT}/Torment.ico" "${TARGETDIR}/torment.ico" || die
+cp "${CDMOUNT}/Torment.ex_" "${TARGETDIR}/torment.exe" || die
-mv "$TARGETDIR"/minimumdata/* "$TARGETDIR" || die
-rmdir "$TARGETDIR"/minimumdata || die
+mv "${TARGETDIR}/minimumdata/"* "$TARGETDIR" || die
+rmdir "${TARGETDIR}/minimumdata" || die
-mkdir -p "$TARGETDIR/save" || die
+mkdir -p "${TARGETDIR}/save" || die
setperms "$TARGETDIR"
diff --git a/pst/install-4cd-extra.sh b/pst/install-4cd-extra.sh
index f66c79e..1344d65 100755
--- a/pst/install-4cd-extra.sh
+++ b/pst/install-4cd-extra.sh
@@ -17,8 +17,8 @@
# Extra Planescape: Torment (4CD version) content (so CDs aren't needed)
scriptdir="$(dirname $0)"/..
-source "$scriptdir/includes/generic-includes.sh"
-source "$scriptdir/includes/cd-includes.sh"
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/cd-includes.sh"
parseargs "$@"
@@ -29,12 +29,12 @@ CD3="6ffd2c51a41603c7dca6196d9bef2e26"
CD4="b70322aaa7b1d61a168a766eba399085"
getcd 2 $CD2 cd2/movies2.bif
-copylower "$CDMOUNT/cd2/" "$TARGETDIR" || die
+copylower "${CDMOUNT}/cd2/" "$TARGETDIR" || die
getcd 3 $CD3 cd3/AR0500.bif
-copylower "$CDMOUNT/cd3/" "$TARGETDIR" || die
+copylower "${CDMOUNT}/cd3/" "$TARGETDIR" || die
getcd 4 $CD4 cd4/movies4.bif
-copylower "$CDMOUNT/cd4/" "$TARGETDIR" || die
+copylower "${CDMOUNT}/cd4/" "$TARGETDIR" || die
setperms "$TARGETDIR"
diff --git a/pst/install-4cd-minimal.sh b/pst/install-4cd-minimal.sh
index 09cd175..8ee12dd 100755
--- a/pst/install-4cd-minimal.sh
+++ b/pst/install-4cd-minimal.sh
@@ -17,8 +17,8 @@
# Installs Planescape: Torment (4CD version) minimal
scriptdir="$(dirname $0)"/..
-source "$scriptdir/includes/generic-includes.sh"
-source "$scriptdir/includes/cd-includes.sh"
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/cd-includes.sh"
parseargs "$@"
@@ -28,13 +28,13 @@ getcd 1 $PST_4CD_MD5 data1.cab
mkdir -p "$TARGETDIR" || die
-unshield -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die
+unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
-cp -R "$TARGETDIR"/program_executable_files/* "$TARGETDIR" || die
-rm -r "$TARGETDIR"/program_executable_files
+cp -R "${TARGETDIR}/program_executable_files/"* "$TARGETDIR" || die
+rm -r "${TARGETDIR}/program_executable_files"
-cp $CDMOUNT/torment.ico "$TARGETDIR" || die
+cp "${CDMOUNT}/torment.ico" "$TARGETDIR" || die
-mkdir -p "$TARGETDIR/save" || die
+mkdir -p "${TARGETDIR}/save" || die
setperms "$TARGETDIR"
diff --git a/pst/install-patch-official.sh b/pst/install-patch-official.sh
index 5a9b200..05cd670 100755
--- a/pst/install-patch-official.sh
+++ b/pst/install-patch-official.sh
@@ -17,8 +17,8 @@
# Planescape: Torment official patch
scriptdir="$(dirname $0)"/..
-source "$scriptdir/includes/generic-includes.sh"
-source "$scriptdir/includes/patch-includes.sh"
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/patch-includes.sh"
parseargs "$@"
@@ -28,10 +28,10 @@ setuptmp
getpatch http://www.sorcerers.net/Games2/Torment/Trmt11.exe
-cabextract -L $TMPDIR/Trmt11.exe -d $TMPDIR || diesoftly
-unshield -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly
+cabextract -L "${TMPDIR}/Trmt11.exe" -d "$TMPDIR" || diesoftly
+unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
-cp -R $TMPDIR/program_executable_files/* "$TARGETDIR" || diesoftly
+cp -R "${TMPDIR}/program_executable_files/"* "$TARGETDIR" || diesoftly
cleanuptmp
setperms "$TARGETDIR"